import { QueryParamConfig } from './types';
/**
 * String values
 */
export declare const StringParam: QueryParamConfig<string>;
/**
 * Numbers (integers or floats)
 */
export declare const NumberParam: QueryParamConfig<number>;
/**
 * For flat objects where values are strings
 */
export declare const ObjectParam: QueryParamConfig<{
    [key: string]: string | number | undefined;
}>;
/**
 * For flat arrays of strings
 */
export declare const ArrayParam: QueryParamConfig<(string | undefined)[]>;
/**
 * For any type of data, encoded via JSON.stringify
 */
export declare const JsonParam: QueryParamConfig<any>;
/**
 * For simple dates (YYYY-MM-DD)
 */
export declare const DateParam: QueryParamConfig<Date>;
/**
 * For boolean values: 1 = true, 0 = false
 */
export declare const BooleanParam: QueryParamConfig<boolean>;
/**
 * For flat objects where the values are numbers
 */
export declare const NumericObjectParam: QueryParamConfig<{
    [key: string]: number | undefined;
}>;
/**
 * For flat arrays where the values are numbers
 */
export declare const NumericArrayParam: QueryParamConfig<(number | undefined)[]>;
